| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
tif_close.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Functions
void | TIFFCleanup (TIFF *tif)
void | TIFFClose (TIFF *tif)

## Function Documentation

void TIFFCleanup | ( | TIFF * | tif | ) |

Auxiliary function to free the TIFF structure. Given structure will be completetly freed, so you should save opened file handle and pointer to the close procedure in external variables before calling _TIFFCleanup(), if you will need these ones to close the file.

Parameters

  tif | A TIFF pointer.

Definition at line 46 of file tif_close.c.

void TIFFClose | ( | TIFF * | tif | ) |

Close a previously opened TIFF file.

TIFFClose closes a file that was previously opened with TIFFOpen(). Any buffered data are flushed to the file, including the contents of the current directory (if modified); and all resources are reclaimed.

Parameters

  tif | A TIFF pointer.

Definition at line 111 of file tif_close.c.